Get Connection Health Report
Retrieve the connection health for a specific Merchant given their merchant_id. You can use this endpoint to understand whether or not merchants are ready for transactions through your app.
ConnectionHealth reports are cached once every 24 hours, if you need to request fresh data, pass ?refresh=true.
Will refresh and re-calculate the merchant's connection health. This is a heavy operation and should not be done programmatically. Only pass this param when you have reason to believe something has changed the merchant's status. We recommend using our webhooks to be notified when a merchant has become unhealthy or has completed onboarding.
falsedefault response
The container for all status objects comprising merchant connection health
The id of the merchant this connection health report pertains to
The name of the merchant this connection health report pertains to
The obfuscated email address of the merchant this connection health report pertains to
The status/state of the merchant this connection health report pertains to
The eCommerce platform this merchant uses
The URL Of the Store
The distribution type this merchant is set to
GET /v1/operations/connection_health/{merchant_id} HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
default response
{
"merchant_id": 1,
"merchant_name": "text",
"merchant_email": "text",
"merchant_status": "INACTIVE",
"platform": "OTHER",
"store_url": "text",
"distribution_type": "PUBLIC",
"connection": {
"status": "COMPLETE",
"error": {
"message": "text",
"error": "text",
"code": 1,
"data": {
"cause": "ORDER_ERROR",
"skus": [
{
"message": "text",
"name": "text",
"skuId": 1,
"orderSkuId": 1,
"bagId": 1
}
]
},
"id": {},
"ids": [
{}
]
},
"results": {
"isConnected": true,
"hasActivePlatformPlan": true,
"hasShippingMethods": true,
"storeScopes": {
"hasValidScopes": true,
"requiredScopes": [
"text"
],
"missingScopes": [
"text"
]
},
"connected": true
}
},
"scope_validation": {
"status": "COMPLETE",
"error": {
"message": "text",
"error": "text",
"code": 1,
"data": {
"cause": "ORDER_ERROR",
"skus": [
{
"message": "text",
"name": "text",
"skuId": 1,
"orderSkuId": 1,
"bagId": 1
}
]
},
"id": {},
"ids": [
{}
]
},
"results": {
"valid": true,
"missing_scopes": [
"text"
]
}
},
"sync_status": {
"status": "COMPLETE",
"error": {
"message": "text",
"error": "text",
"code": 1,
"data": {
"cause": "ORDER_ERROR",
"skus": [
{
"message": "text",
"name": "text",
"skuId": 1,
"orderSkuId": 1,
"bagId": 1
}
]
},
"id": {},
"ids": [
{}
]
},
"results": {
"id": 1,
"merchant_id": 1,
"status": "NOT_STARTED",
"abort": true,
"total_products": 1,
"total_products_synced": 1,
"resync_required": true,
"date_last_synced": "2026-01-01T00:00:00.000Z",
"taxonomy_synced": true,
"webhooks_created": true,
"date_shipping_last_synced": "2026-01-01T00:00:00.000Z",
"app_id": 1
}
},
"invalid_products": {
"status": "COMPLETE",
"error": {
"message": "text",
"error": "text",
"code": 1,
"data": {
"cause": "ORDER_ERROR",
"skus": [
{
"message": "text",
"name": "text",
"skuId": 1,
"orderSkuId": 1,
"bagId": 1
}
]
},
"id": {},
"ids": [
{}
]
},
"results": {
"count": 1,
"invalid_product": {
"id": 1,
"external_id": "text",
"name": "text",
"thumbnail_url": "text",
"merchant_id": 1,
"issues": "text",
"status": "UNRESOLVED",
"date_created": "2026-01-01T00:00:00.000Z",
"date_last_modified": "2026-01-01T00:00:00.000Z"
}
}
},
"offers_published": {
"status": "COMPLETE",
"error": {
"message": "text",
"error": "text",
"code": 1,
"data": {
"cause": "ORDER_ERROR",
"skus": [
{
"message": "text",
"name": "text",
"skuId": 1,
"orderSkuId": 1,
"bagId": 1
}
]
},
"id": {},
"ids": [
{}
]
},
"results": {
"sync_complete": true,
"count": 1
}
},
"payout_account": {
"status": "COMPLETE",
"error": {
"message": "text",
"error": "text",
"code": 1,
"data": {
"cause": "ORDER_ERROR",
"skus": [
{
"message": "text",
"name": "text",
"skuId": 1,
"orderSkuId": 1,
"bagId": 1
}
]
},
"id": {},
"ids": [
{}
]
},
"results": {
"ANY_ADDITIONAL_PROPERTY": {
"id": 1,
"account_type": "MERCHANT",
"account_id": 1,
"merchant_id": 1,
"app_id": 1,
"payment_platform_connection_id": 1,
"credential_id": 1,
"is_active": true,
"country_code": "text",
"payment_provider": "STRIPE",
"payment_provider_account_id": "text",
"payment_provider_account_type": "EXPRESS",
"payment_provider_metadata": {
"ANY_ADDITIONAL_PROPERTY": {}
},
"payment_provider_account": {},
"date_deactivated": "2026-01-01T00:00:00.000Z",
"errors": [
{
"id": 1,
"error_code": 1,
"error_message": "text",
"resolved": true,
"date_resolved": "2026-01-01T00:00:00.000Z",
"date_created": "2026-01-01T00:00:00.000Z",
"payout_account_id": 1
}
],
"date_created": "2026-01-01T00:00:00.000Z",
"date_last_modified": "2026-01-01T00:00:00.000Z"
}
}
},
"migration": {
"status": "COMPLETE",
"error": {
"message": "text",
"error": "text",
"code": 1,
"data": {
"cause": "ORDER_ERROR",
"skus": [
{
"message": "text",
"name": "text",
"skuId": 1,
"orderSkuId": 1,
"bagId": 1
}
]
},
"id": {},
"ids": [
{}
]
},
"results": "MIGRATION_REQUIRED"
},
"commission_rate": {
"status": "COMPLETE",
"error": {
"message": "text",
"error": "text",
"code": 1,
"data": {
"cause": "ORDER_ERROR",
"skus": [
{
"message": "text",
"name": "text",
"skuId": 1,
"orderSkuId": 1,
"bagId": 1
}
]
},
"id": {},
"ids": [
{}
]
},
"default_rate": 1,
"overrides": [
{
"status": "COMPLETE",
"error": {
"message": "text",
"error": "text",
"code": 1,
"data": {
"cause": "ORDER_ERROR",
"skus": [
{
"message": "text",
"name": "text",
"skuId": 1,
"orderSkuId": 1,
"bagId": 1
}
]
},
"id": {},
"ids": [
{}
]
},
"app_id": 1,
"rate": 1,
"commission_locked": true
}
]
}
}Last updated
Was this helpful?